Sends a pre-defined 'filing.processed.test' event to the configured webhook URL to verify its functionality. This creates a delivery record.
Request
Add parameter in header X-API-Key
Example:X-API-Key: ********************
or
Add the parameter Authorization
to Headers Example:Authorization: ********************
or
Body Params application/jsonRequired
{
"url": "http://example.com",
"is_active": true,
"include_markdown": true,
"include_isins": false,
"track_all_companies": false,
"trigger_on_filing_received": false,
"trigger_on_filing_processed": true,
"subscribed_filing_types": [
"string"
]
}
Request Code Samples
curl --location 'https://api.financialreports.eu/webhooks//test/' \
--header 'x-api-key;' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"url": "http://example.com",
"is_active": true,
"include_markdown": true,
"include_isins": false,
"track_all_companies": false,
"trigger_on_filing_received": false,
"trigger_on_filing_processed": true,
"subscribed_filing_types": [
"string"
]
}'
Responses
Test event was sent and the endpoint responded successfully.
{
"status": "success",
"message": "Test event successfully sent. Endpoint responded with HTTP 200.",
"delivery_uuid": "550e8400-e29b-41d4-a716-446655440000"
}
Modified at 2026-09-11 14:56:11